/**
 * Test case for scff.
 * Runs with mocha.
 */
'use strict'

const scff = require('../lib/scff.js')
const assert = require('assert')
const co = require('co')
const apemanScff = require('apeman-scff')

describe('scff', () => {
  let tmpDir = `${__dirname}/../tmp`

  before(() => co(function * () {
  }))

  after(() => co(function * () {
  }))

  it('Scff', () => co(function * () {
    assert.ok(scff)
    yield apemanScff(scff, `${tmpDir}/my-awesome-project`, {
      silent: false,
      force: true,
      straight: true
    })
  }))
})

/* global describe, before, after, it */
